﻿using System;
using System.Text;
using OSGeo.MapGuide;

namespace MapGuideSample
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //string webLayout = @"Library://TBDemoMesoccoCan/TestBasicLayout.WebLayout";            
            string webLayout = @"Library://Samples/Cantone/comuni.WebLayout";
            string defaultUser = "Administrator";
            string defaultPassword = "admin";
            string sessionId = "";

            try
            {
                OSGeo.MapGuide.MapGuideApi.MgInitializeWebTier(@"C:\Program Files\OSGeo\MapGuide\Web\www\webconfig.ini");                

                MgUserInformation userInfo = new MgUserInformation(defaultUser, defaultPassword);
                MgSite site = new MgSite();
                site.Open(userInfo);
                sessionId = site.CreateSession();

                idFMap.Attributes["src"] = @"http://lptop-franz7vmwin7/Mapguide/mapviewernet/ajaxviewer.aspx?SESSION=" + sessionId + "&WEBLAYOUT=" + webLayout;                                                
                
            }
            catch (Exception ex)
            {
                Response.Write(ex.Message);
            }
        }
    }
}